package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFB71Data {

    private Map<String, Object> params;
    
    public MWFB71Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCislokarty() {
        return (String) params.get("RS_CISLOKARTY");
    }

    public String rsVytlacenejmeno() {
        return (String) params.get("RS_VYTLACENEJMENO");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public Double rsCastkauveru() {
        return (Double) params.get("RS_CASTKAUVERU");
    }

    public String rsRodnecislo() {
        return (String) params.get("RS_RODNECISLO");
    }

    public String rsProduktnazev() {
        return (String) params.get("RS_PRODUKTNAZEV");
    }

    public java.util.Date rsDatumuzavrenismlouvy() {
        return (java.util.Date) params.get("RS_DATUMUZAVRENISMLOUVY");
    }

    public String rsZdroj() {
        return (String) params.get("RS_ZDROJ");
    }

    public String rsCislosmlouvy() {
        return (String) params.get("RS_CISLOSMLOUVY");
    }

    public Double rsDluznacastka() {
        return (Double) params.get("RS_DLUZNACASTKA");
    }

    public Double rsPreplatek() {
        return (Double) params.get("RS_PREPLATEK");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsStavsmlouvy() {
        return (String) params.get("RS_STAVSMLOUVY");
    }

    public String rsProduktkod() {
        return (String) params.get("RS_PRODUKTKOD");
    }

    public Double rsMesicnisplatka() {
        return (Double) params.get("RS_MESICNISPLATKA");
    }

    public String rsKodZeme() {
        return (String) params.get("RS_KOD_ZEME");
    }

    public String rsStavuctuopk() {
        return (String) params.get("RS_STAVUCTUOPK");
    }

    public String rsCislosmlouvyopk() {
        return (String) params.get("RS_CISLOSMLOUVYOPK");
    }

    public String rsOrganizace() {
        return (String) params.get("RS_ORGANIZACE");
    }

    public String rsAktivitakarty() {
        return (String) params.get("RS_AKTIVITAKARTY");
    }

    public String rsRodnecislomajitel() {
        return (String) params.get("RS_RODNECISLOMAJITEL");
    }

    public String rsJmenomajitel() {
        return (String) params.get("RS_JMENOMAJITEL");
    }

    public String rsDodatkovakarta() {
        return (String) params.get("RS_DODATKOVAKARTA");
    } 

}
